language: php

php:
  - 8.0
  - 8.1

sudo: false

before_script:
  - travis_retry composer self-update
  - travis_retry composer install --dev --no-interaction

script:
  - mkdir -p build/logs
  - ./vendor/bin/phpunit --coverage-clover build/logs/clover.xml

after_success:
  - php vendor/bin/coveralls -v
